GoSmarter API Gateway
string · uuid · requiredstring · requiredstring[]integer · int32string[]
Inventory v2
Delete inventory items (idempotent)
DELETE
https://api.gosmarter.ai
/api/v2/company/{companyId}/inventory-slim
Soft deletes one or more inventory items by setting Active = 0. Items that belong to the company but are already deleted count as deleted and are listed in AlreadyDeletedIds. Returns 404, with nothing deleted, if any id doesn't exist or belongs to another company.
path Parameters
companyIdThe unique identifier of the company owning the items. Example: 11111111-2222-3333-4444-555555555555
Headers
GoSmarter-Api-KeyThe GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.
Delete inventory items (idempotent) › Responses
Every requested item is now deleted
alreadyDeletedIdsSubset of DeletedIds that were already deleted before this request (no change was made to them)
deletedCountNumber of items deleted
deletedIdsList of IDs that were deleted

